#include "stdafx.h"
#include "WidgetIOOption.h"

WidgetIOOption::WidgetIOOption(QWidget *parent)
	: QWidget(parent)
{
	ui.setupUi(this);
}

WidgetIOOption::~WidgetIOOption()
{

}

void WidgetIOOption::getConfig(IOConfig& config)
{
	config.ObjSplit = ui.checkSplitOBJ->isChecked();
	config.ObjMergeLine = ui.checkMergeObjLine->isChecked();
	config.InterpolateAnimation = ui.checkInterpolateAnimation->isChecked();
}

void WidgetIOOption::setConfig(const IOConfig& config)
{
	ui.checkSplitOBJ->setChecked(config.ObjSplit);
	ui.checkMergeObjLine->setChecked(config.ObjMergeLine);
	ui.checkInterpolateAnimation->setChecked(config.InterpolateAnimation);
}
